Skip to content

Brand Registration Vetting Information

Request

Returns the vetting information of a brand registration. Include optional query parameters to filter results by vetting partner ID, vetting class, or status.

Security
BasicAuth or OAuth2
Path
projectIdstringrequired

Sinch uses projects to group resources such as contacts and apps together to manage and connect a unique set of keys and secret IDs for all your Sinch API products. To identify a project, it is given a unique alphanumeric identifier that ties it to your account. Your project ID can be found in the Customer Dashboard.

brandRegistrationIdstringrequired

The Brand Registration ID is returned in the response when creating the brand

Query
vettingStatusstringrequired
Default:"ACTIVE"
Enum ValueDescription
PENDING

Pending vetting.

UNSCORE

Undergoing vetting process.

ACTIVE

Active status.

FAILED

Vetting failed.

EXPIRED

Vetting expired.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://us10dlc.numbers.api.sinch.com/v1/projects/{projectId}/brandRegistrations/{brandRegistrationId}/vettingInfo?vettingStatus=PENDING'

Responses

A successful response.

Bodyapplication/json
vettingInfoArray of objects(VettingInfo)read-only
Response
{ "vettingInfo": [ { … } ] }